Bug 1623892 - Neutron python 3.6 support
Summary: Neutron python 3.6 support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: 15.0 (Stein)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: Upstream M3
: 15.0 (Stein)
Assignee: Nate Johnston
QA Contact: Candido Campos
URL:
Whiteboard:
Depends On:
Blocks: 1708785
TreeView+ depends on / blocked
 
Reported: 2018-08-30 11:49 UTC by Bernard Cafarelli
Modified: 2019-09-26 10:46 UTC (History)
6 users (show)

Fixed In Version: openstack-neutron-14.0.2-0.20190607050454.7b0b4ed.el8ost
Doc Type: Enhancement
Doc Text:
Clone Of:
: 1708785 (view as bug list)
Environment:
Last Closed: 2019-09-21 11:18:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 577383 0 None MERGED Switch default functional tests to python3, add job for python2 2020-06-02 15:15:56 UTC
OpenStack gerrit 627053 0 None MERGED Migrate neutron-tempest-dvr job to zuulv3 and python 3 2020-06-02 15:15:56 UTC
OpenStack gerrit 627806 0 None MERGED Migrate neutron-tempest-linuxbridge job to zuulv3 and python 3 2020-06-02 15:15:56 UTC
OpenStack gerrit 627970 0 None MERGED Add neutron-tempest-iptables_hybrid job on Fedora 2020-06-02 15:15:56 UTC
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:19:13 UTC

Description Bernard Cafarelli 2018-08-30 11:49:57 UTC
OpenStack is moving to run under Python 3 by default in community goal:
https://governance.openstack.org/tc/goals/stein/python3-first.html

Neutron should support running under python 3.6, initial identified steps include:
* Switch upstream gates to py3
* Downstream CI python3-based
* RPM packaging
* Local testing (tempest runs, …) with Fedora 28 system

Comment 3 Nate Johnston 2018-09-18 14:28:40 UTC
Neutron support for python 3.6 support is currently underway upstream.  Main items are:

- debug functional tests; there is improper usage somewhere in the Neutron functional test harness

- determine how to switch upstream grenade/tempest jobs from 2.7 to 3.6

Will track any additional upstream items here.

Comment 4 Slawek Kaplonski 2019-01-08 15:21:21 UTC
Switch of U/S CI jobs to python3 is tracked in https://etherpad.openstack.org/p/neutron_ci_python3

Comment 6 Bernard Cafarelli 2019-02-19 13:08:08 UTC
Only grenade jobs upstream are not python3 (will be soon), apart from that upstream python3 support is good

Comment 7 Nate Johnston 2019-05-13 13:32:01 UTC
I believe the effort to support python 3.6 upstream is concluded successfully.

Comment 11 errata-xmlrpc 2019-09-21 11:18:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.